<?php
declare(strict_types=1);

namespace Inti\Filter;

/**
 * Class ConfigProvider
 *
 * @package Inti\Filter
 * @author Danijel Fabijan <hipnaba@gmail.com>
 * @link https://bitbucket.org/oktan-nautika/inti-filter
 */
final class ConfigProvider
{
    public function __invoke(): array
    {
        return [
            'filters' => [
                'aliases' => [
                    'remove_accents' => RemoveAccents::class,
                    'sanitize_title' => SanitizeTitle::class,
                ],
                'factories' => [
                    SanitizeTitle::class => Container\FilterChainFactory::class,
                ],
                'invokables' => [
                    RemoveAccents::class,
                    SanitizeTitle::class,
                ],
            ],
        ];
    }
}
