<?php
declare(strict_types=1);

namespace Inti\Filter;

use Laminas\Filter\FilterChain;
use Laminas\Filter\FilterPluginManager;

/**
 * Class SanitizeTitle
 *
 * @package Inti\Filter
 * @author Danijel Fabijan <hipnaba@gmail.com>
 * @link https://bitbucket.org/oktan-nautika/inti-filter
 */
final class SanitizeTitle extends FilterChain
{
    public function setPluginManager(FilterPluginManager $plugins): self
    {
        $this->plugins = $plugins;

        $this->attachByName('callback', ['callback' => 'rawurldecode']);
        $this->attachByName('striptags');
        $this->attachByName('remove_accents');
        $this->attachByName('stringtolower');
        $this->attachByName('pregreplace', ['pattern' => '/[^a-z0-9]+/', 'replacement' => '-']);
        $this->attachByName('stringtrim', ['charlist' => ' -']);

        return $this;
    }
}
