<?php
declare(strict_types=1);

namespace IntiTest\Filter;

use Inti\Filter\ConfigProvider;
use Inti\Test\TestCase\ContainerTestTrait;
use Laminas\Filter\FilterInterface;
use Laminas\Filter\FilterPluginManager;
use PHPUnit\Framework\TestCase;

/**
 * Trait FilterTestTrait
 *
 * @package IntiTest\Filter
 * @author Danijel Fabijan <hipnaba@gmail.com>
 * @link https://bitbucket.org/oktan-nautika/inti-bartog
 */
abstract class FilterTestCase extends TestCase
{
    use ContainerTestTrait;
    const FILTER = '';

    protected array $providers = [
        \Laminas\Filter\ConfigProvider::class,
        ConfigProvider::class,
    ];

    protected FilterInterface $filter;

    protected function setUp(): void
    {
        if (static::FILTER) {
            $this->filter = $this->createFilter(static::FILTER);
        }
    }

    protected function createFilter(string $name): FilterInterface
    {
        $container = $this->createContainer();
        $manager = $container->get(FilterPluginManager::class);
        return $manager->get($name);
    }
}
